use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IEntity {
    pub(crate) html: String,
}

impl IEntity {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::Entity<'parse>,
    ) -> Result<IEntity, CustomError> {
        Ok(IEntity {
            html: original.html.to_owned(),
        })
    }
}
