use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IInlineSourceBlock {
    pub(crate) value: String,
}

impl IInlineSourceBlock {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::InlineSourceBlock<'parse>,
    ) -> Result<IInlineSourceBlock, CustomError> {
        Ok(IInlineSourceBlock {
            value: original.value.to_owned(),
        })
    }
}
